<?php
/*
Website Traffic Made Easy - Tutswoods Productions/ Head over to www.tutswoods.weebly.com
File Details: 
Used for viewing the traffic that has been monitored and other stuff.
*/

require('global.php');
$message = null;
$pass = false;
//Check for login
if(isset($_POST['login'])){
$username = $_POST['username'];
$password = $_POST['password'];

	if($username == $username_orig && $password == $password_orig){
		$pass = true;
	}else{
		echo "<code>Wrong Details</code>";
		exit();
	}
}
//Clean action
if(isset($_POST['clean'])){
$select = mysqli_query($con,"DELETE FROM wtm");
echo mysqli_error($con);
	if(!$select){
		$message = "An error occoured. Please try again.";
		header("Location: view.php?message=$message");
	}else{
		$message = "Links from database has been cleaned.";
		header("Location: view.php?message=$message");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<title>Website Traffic Made Easy - Tutswoods Productions</title>
<style type="text/css">
#wrap{
width: 750px;
margin: 0 auto;
word-wrap: break-word;
border: 1px solid black;
padding-left: 10px;
padding-right: 10px;
border-radius: 7px;
padding-top: 20px;
padding-bottom: 20px;
}

li{
display: inline;
padding-right: 3px;
}

a:visited{
color: blue;
}

a:hover{
font-size: 19px;
color: red;
}
</style>
</head>
<body>
<div id="wrap">
<center>
<h3>Website Traffic Made Easy - Tutswoods Productions</h3>
<hr>
<?php if($pass == true){ ?>
<ul>
<li><a href="#1">Normal View</a></li>
<li><a href="#2">Group/Popular View</a></li>
<li><a href="#3">Clean</a></li>
<li><a href="#4">About</a></li>
</ul>
<?php } ?>
</center>
<?php
if($pass == false){
?>
<?php
if(isset($_GET['message'])){
$msg = $_GET['message'];
$msg = strip_tags($msg);
echo "<h2>$msg <a href='view.php'>Click here to go back</a></h2>";
exit();
}
?>
<form action="" method="post">
<input type="text" name="username" placeholder="Username">
<input type="password" name="password" placeholder="Password">
<input type="submit" value="Go" name="login">
</form>
<?php }else{ ?>
<section id="1">
<h1>Normal view</h1>
<p>Normal view allows you to track the traffic of your website.</p>
<?php
$select = mysqli_query($con,"SELECT * FROM wtm");
echo "<table border='1'>
<tr>
<th>ID</th>
<th>Page Visited</th>
</tr>";

while($row = mysqli_fetch_array($select))
  {
  echo "<tr>";
  echo "<td>" . $row['id'] . "</td>";
  echo "<td>" . $row['page'] . "</td>";
  echo "</tr>";
  }
echo "</table>";
?>
</section>
<section id="2">
<hr>
<h1>Group/Popular View</h1>
<p>Group/Popular View allows you the view the most popular pages on your website <b>Starting from the popular page to the unpopular page.</b></p>
<?php
$select = $select = mysqli_query($con,"SELECT page, COUNT(*) TotalCount FROM wtm GROUP BY page HAVING COUNT(*) > 1 ORDER BY COUNT(*) DESC");
echo "<table border='1'>
<tr>
<th>Popular pages</th>
</tr>";

while($row = mysqli_fetch_array($select))
  {
  echo "<tr>";
  echo "<td>" . $row['page'] . "</td>";
  echo "</tr>";
  }
echo "</table>";
?>
</section>
<section id="3">
<hr>
<h1>Clean</h1>
<p>Cleaning allows you to clear all the links in the database in other words empty the table which contains the page url which have been tracked.</p>
<form action="" method="post">
<input type="submit" id="clean" value="Clean Tracked pages" name="clean">
</form>
</section>
<section id="4">
<hr>
<h1>About</h1>
<p>Website Traffic Made Easy is a web application developed by tutswoods productions for developers tracking there website traffic, for more go to <a href="http://www.tutswoods.weebly.com">tutswoods.weebly.com</a></p>
</div>
<?php } ?>
</div>
</body>
</html>